#pragma once
#ifndef ECHO_SERVER_SOCKET_SERVER_CALLBACK_INCLUDED__
#define ECHO_SERVER_SOCKET_SERVER_CALLBACK_INCLUDED__
///////////////////////////////////////////////////////////////////////////////
// File: SocketServerCallback.h
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2007 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors
// shall not be liable for any damages suffered by licensee as a result of
// using the software. In no event will JetByte Limited be liable for any
// lost revenue, profit or data, or for direct, indirect, special,
// consequential, incidental or punitive damages, however caused and regardless
// of the theory of liability, arising out of the use of or inability to use
// software, even if JetByte Limited has been advised of the possibility of
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

#include "ServerCommon/StreamSocketServerExCallback.h"

#include <string>

///////////////////////////////////////////////////////////////////////////////
// CSocketServerCallback
///////////////////////////////////////////////////////////////////////////////

class CSocketServerCallback : public CStreamSocketServerExCallback
{
   public :

      CSocketServerCallback(
         const std::string &welcomeMessage);

      // Implement just the bits of IStreamSocketServerCallback that we need

      void OnConnectionEstablished(
         JetByteTools::Socket::IStreamSocket &socket,
         const JetByteTools::Socket::IAddress &address) override;

      void OnReadCompleted(
         JetByteTools::Socket::IStreamSocket &socket,
         JetByteTools::IO::CSmartBuffer &buffer) override;

      // Our business logic

      void EchoMessage(
         JetByteTools::Socket::IStreamSocket &socket,
         JetByteTools::IO::CSmartBuffer &buffer) const;

      const std::string m_welcomeMessage;
};

#endif // ECHO_SERVER_SOCKET_SERVER_CALLBACK_INCLUDED__

///////////////////////////////////////////////////////////////////////////////
// End of file: SocketServerCallback.h
///////////////////////////////////////////////////////////////////////////////
