@Echo off

REM Most arguments passed to us via the environment as they contain spaces...

if not defined SERVER goto NotSet
if not defined BASE_ARGS goto NotSet

goto DisplayDebug

:NotSet
Echo One or more of the following variables is not set:
Echo -
Echo SERVER=%SERVER%
Echo BASE_ARGS=%BASE_ARGS%
Echo -
Echo Please ensure they are all set in the environment before calling.
Exit /b 1

:DisplayDebug

if not defined JETBYTE_DEBUG_BUILD_SCRIPTS goto NoDebug

Echo Script debug information - RunTests.bat
Echo - 
Echo Required: SERVER=%SERVER%
Echo Required: BASE_ARGS=%BASE_ARGS%
Echo Optional: SUPPORTS_ZERO_BYTE_READ=%SUPPORTS_ZERO_BYTE_READ%
Echo Optional: SUPPORTS_OLD_TESTS=%SUPPORTS_OLD_TESTS%
Echo Optional: SIGN_ON_BYTES=%SIGN_ON_BYTES%
Echo -

:NoDebug

:RunTests

setlocal

set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - No zero read - PacketEchoServerTest3.xml
set SERVER_ARGS=%BASE_ARGS%
set TEST_CLIENT="..\..\Test\SocketServerTest.exe"
set TEST_CLIENT_ARGS=PacketEchoServerTest3.xml

call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - No zero read - PacketEchoServerTest4.xml
set TEST_CLIENT_ARGS=PacketEchoServerTest4.xml

call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

:Done
