#pragma once
#ifndef THREAD_POOL_LARGE_PACKET_ECHO_SERVER_MESSAGE_ACCUMULATOR_INCLUDED__
#define THREAD_POOL_LARGE_PACKET_ECHO_SERVER_MESSAGE_ACCUMULATOR_INCLUDED__
///////////////////////////////////////////////////////////////////////////////
// File: MessageAccumulator.h
///////////////////////////////////////////////////////////////////////////////
//
// Copyright 2016 JetByte Limited.
//
// This software is provided "as is" without a warranty of any kind. All
// express or implied conditions, representations and warranties, including
// any implied warranty of merchantability, fitness for a particular purpose
// or non-infringement, are hereby excluded. JetByte Limited and its licensors
// shall not be liable for any damages suffered by licensee as a result of
// using the software. In no event will JetByte Limited be liable for any
// lost revenue, profit or data, or for direct, indirect, special,
// consequential, incidental or punitive damages, however caused and regardless
// of the theory of liability, arising out of the use of or inability to use
// software, even if JetByte Limited has been advised of the possibility of
// such damages.
//
///////////////////////////////////////////////////////////////////////////////

#include "JetByteTools/IOTools/BufferChain.h"

///////////////////////////////////////////////////////////////////////////////
// CMessageAccumulator
///////////////////////////////////////////////////////////////////////////////

class CMessageAccumulator
{
   public :

      explicit CMessageAccumulator(
         JetByteTools::IO::IBuffer::BufferSize maxMessageLength);

      ~CMessageAccumulator();

      JetByteTools::IO::CSmartBuffer Add(
         JetByteTools::IO::CSmartBuffer &buffer);

   private :

      JetByteTools::IO::IBuffer::BufferSize GetMessageLength(
         const BYTE *pData) const;

      const JetByteTools::IO::IBuffer::BufferSize m_maxMessageLength;

      JetByteTools::IO::IBuffer::BufferSize m_messageLength;

      JetByteTools::IO::CBufferChain m_buffers;

      JetByteTools::IO::IBuffer::SequenceNumber m_nextMessageSeq;

      /// No copies do not implement
      CMessageAccumulator(const CMessageAccumulator &rhs);
      /// No copies do not implement
      CMessageAccumulator &operator=(const CMessageAccumulator &rhs);
};

#endif // THREAD_POOL_LARGE_PACKET_ECHO_SERVER_MESSAGE_ACCUMULATOR_INCLUDED__

///////////////////////////////////////////////////////////////////////////////
// End of file: MessageAccumulator.h
///////////////////////////////////////////////////////////////////////////////
