@Echo off

REM Most arguments passed to us via the environment as they contain spaces...

if not defined SERVER goto NotSet
if not defined BASE_ARGS goto NotSet

goto RunTests

:NotSet
Echo One or more of the following variables is not set:
Echo -
Echo SERVER=%SERVER%
Echo BASE_ARGS=%BASE_ARGS%
Echo -
Echo Please ensure they are all set in the environment before calling.
Exit /b 1

:RunTests

setlocal

set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - No zero read - SimpleProtocolServerTest.xml
set SERVER_ARGS=%BASE_ARGS%
set TEST_CLIENT="..\..\Test\SocketServerTest.exe"
set TEST_CLIENT_ARGS=SimpleProtocolServerTest.xml

call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

REM set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - Sync zero read
REM set SERVER_ARGS=%BASE_ARGS% -syncZero

REM call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

REM set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - Async zero read
REM set SERVER_ARGS=%BASE_ARGS% -asyncZero

set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - No zero read - SimpleProtocolServerTest2.xml
set SERVER_ARGS=%BASE_ARGS%
set TEST_CLIENT="..\..\Test\SocketServerTest.exe"
set TEST_CLIENT_ARGS=SimpleProtocolServerTest2.xml

call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

REM set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - Sync zero read
REM set SERVER_ARGS=%BASE_ARGS% -syncZero

REM call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

REM set TEST_NAME=%BASE_TEST_NAME% SocketServerTest.exe - Async zero read
REM set SERVER_ARGS=%BASE_ARGS% -asyncZero

REM call ..\..\Test\RunTest.bat
if ERRORLEVEL 1 Exit /b %ERRORLEVEL%

